Ipelib: ipe::Layout Struct Reference

Ipelib

Public Member Functions | Public Attributes | List of all members
ipe::Layout Struct Reference
Ipe Attributes

`#include <ipeattributes.h>`

## Public Member Functions
| Layout ()
bool | isNull () const
Rect | paper () const

## Public Attributes
Vector | iPaperSize
Vector | iOrigin
Vector | iFrameSize
double | iParagraphSkip
bool | iCrop

## Detailed Description

Layout of a Page.

## Constructor & Destructor Documentation

## ◆ Layout()

ipe::Layout::Layout | ( |  | ) |
| inline

Create null layout.

## Member Function Documentation

## ◆ isNull()

bool ipe::Layout::isNull | ( |  | ) | const
| inline

Is this an undefined (null) layout?

## ◆ paper()

Rect ipe::Layout::paper | ( |  | ) | const
| inline

Return rectangle describing the paper.

Referenced by ipe::PdfWriter::createPageView(), ipe::Thumbnail::render(), ipe::Thumbnail::saveRender(), ipe::CanvasBase::snapToPaperAndFrame(), and ipe::Thumbnail::Thumbnail().

## Member Data Documentation

## ◆ iPaperSize

Vector ipe::Layout::iPaperSize

Dimensions of the media.

Referenced by ipe::PanTool::draw(), ipe::CanvasBase::drawObjects(), ipe::CanvasBase::drawPaper(), and ipe::ImlParser::parseStyle().

## ◆ iOrigin

Vector ipe::Layout::iOrigin

Origin of the Ipe coordinate system relative to the paper.

Referenced by ipe::PanTool::draw(), ipe::CanvasBase::drawObjects(), ipe::CanvasBase::drawPaper(), ipe::ImlParser::parseStyle(), and ipe::Thumbnail::render().

## ◆ iFrameSize

Vector ipe::Layout::iFrameSize

Size of the frame (the drawing area).

Referenced by ipe::CanvasBase::drawFrame(), ipe::ImlParser::parseStyle(), and ipe::CanvasBase::snapToPaperAndFrame().

## ◆ iParagraphSkip

double ipe::Layout::iParagraphSkip

Paragraph skip (between textboxes).

Referenced by ipe::ImlParser::parseStyle().

## ◆ iCrop

bool ipe::Layout::iCrop

Crop paper to drawing.

Referenced by ipe::PdfWriter::createPageView(), and ipe::ImlParser::parseStyle().

The documentation for this struct was generated from the following file:

- ipeattributes.h